summary refs log tree commit diff
path: root/modules
diff options
context:
space:
mode:
authorMichael Raskin <7c6f434c@mail.ru>2010-08-14 20:12:05 +0000
committerMichael Raskin <7c6f434c@mail.ru>2010-08-14 20:12:05 +0000
commit295df77f21e880c7cf4026fadc2adac61df200dc (patch)
tree348d1050fb45845330c4e129ffac60b25bb50e5e /modules
parentf0eb823a34f103bceef4b6fcf0406634b08f937d (diff)
downloadnixlib-295df77f21e880c7cf4026fadc2adac61df200dc.tar
nixlib-295df77f21e880c7cf4026fadc2adac61df200dc.tar.gz
nixlib-295df77f21e880c7cf4026fadc2adac61df200dc.tar.bz2
nixlib-295df77f21e880c7cf4026fadc2adac61df200dc.tar.lz
nixlib-295df77f21e880c7cf4026fadc2adac61df200dc.tar.xz
nixlib-295df77f21e880c7cf4026fadc2adac61df200dc.tar.zst
nixlib-295df77f21e880c7cf4026fadc2adac61df200dc.zip
Move resume section after udev launch - on some systems devices are recognized by kernel only after udev works.
svn path=/nixos/trunk/; revision=23176
Diffstat (limited to 'modules')
-rw-r--r--modules/system/boot/stage-1-init.sh28
1 files changed, 14 insertions, 14 deletions
diff --git a/modules/system/boot/stage-1-init.sh b/modules/system/boot/stage-1-init.sh
index 080016dc32c6..24c55d47e59b 100644
--- a/modules/system/boot/stage-1-init.sh
+++ b/modules/system/boot/stage-1-init.sh
@@ -110,20 +110,6 @@ done
 mknod /dev/null c 1 3
 
 
-# Try to resume - all modules are loaded now.
-if test -e /sys/power/tuxonice/resume; then
-    if test -n "$(cat /sys/power/tuxonice/resume)"; then
-        echo 0 > /sys/power/tuxonice/user_interface/enabled
-        echo 1 > /sys/power/tuxonice/do_resume || echo "failed to resume..."
-    fi
-fi
-
-if test -e /sys/power/resume -a -e /sys/power/disk; then
-    echo "@resumeDevice@" > /sys/power/resume 2> /dev/null || echo "failed to resume..."
-    echo shutdown > /sys/power/disk
-fi
-
-
 # Create device nodes in /dev.
 echo "running udev..."
 export UDEV_CONFIG_FILE=@udevConf@
@@ -145,6 +131,20 @@ if test -n "$debug1devices"; then fail; fi
 @postDeviceCommands@
 
 
+# Try to resume - all modules are loaded now, and devices exist
+if test -e /sys/power/tuxonice/resume; then
+    if test -n "$(cat /sys/power/tuxonice/resume)"; then
+        echo 0 > /sys/power/tuxonice/user_interface/enabled
+        echo 1 > /sys/power/tuxonice/do_resume || echo "failed to resume..."
+    fi
+fi
+
+if test -e /sys/power/resume -a -e /sys/power/disk; then
+    echo "@resumeDevice@" > /sys/power/resume 2> /dev/null || echo "failed to resume..."
+    echo shutdown > /sys/power/disk
+fi
+
+
 # Return true if the machine is on AC power, or if we can't determine
 # whether it's on AC power.
 onACPower() {